Subject: [kitten] Collected comments on draft-ietf-kitten-aes-cts-hmac-sha2

From: Kelley Burgin <[email-masked]>
Date: Fri, 31 May 2013 16:35:13 -0400

I've tried to collect all the comments on draft-ietf-kitten-aes-cts-hmac-sha2 in one place (most just copied and pasted from earlier mail). If you've made one I missed, or have one to make, please let me know. I'm still not sure that there's a plan for 3) below.

1) Make no reference to terminology or concepts introduced in the simplified profile in RFC 3961. Refer only to RFC 3961 sections 3 and 4. Further detailed comments by Sam to be addressed on this.

2) Minimize references to RFC 3962; in general repeating text from RFC 3962 is probably better than references. Further detailed comments by Sam to be addressed on this.

3) New section on random in salts and the issues they raise? 

4) Include some text in Section 1 that points out there is no confounding along with reasons for this design choice. 

5) Add a solution to the short plaintext problem 

6) Use cipherState throughout, and just say XOR (instead of + with explanation)